           CHEYENNE COMMUNICATIONS FAXserve 2.0 UPDATE DOCUMENT

Product      :  FAXserve 2.00
Revision     :  2.00c
Revision Date:  12/19/94
                
FAXserve v2.00c
---------------

1.0 General 
-----------

o - This document describes changes, enhancements, and documentation
    improvements which have been incorporated into FAXserve 2.0.  
    FAXserve 2.00c supersedes all prior patches.   Included at the end 
    of FAXserve 2.00c release notes are the release notes for 
    FAXserve 2.00 and FAXserve 2.00a.  FAXserve 2.00b was a patch only 
    for FAXROUTE.NLM.  The release notes for FAXroute is already 
    included in FAXserve 2.00c.



2.0 Problems Resolved
---------------------

o - Modified the Class 2 driver to increase the time out period during 
    modem negotiation.  Modems can now successfully negotiate to 2400bps
    if necessary.

o - Corrected a problem in the Class 2 driver where an error condition of 
    "Can't get through to remote unit", "No dial tone" or "Busy Modem" 
    would cause the FAXclient Windows client to report a "Failed" job
    in the Transmit Log; a subsequent successful retry would not change
    the "Failed" status.  The FAXclient status will now correctly display 
    the fax status.
    
o - The CTRL-D character has been added to the end of the data stream for 
    printing incoming faxes to Postscript printers.  The CTRL-D represents 
    a end of data command for Postscript.

o - Improved the CPU utilization within the FAXROUTE.NLM by better 
    control during the scanning for route jobs.  This resolves the
    situation where the CPU utilization would spike every time FAXROUTE.NLM 
    scanned for faxes to route.

o - Fixed a problem where FAXmail was removing a blank line between 
    paragraphs.

o - Fixed a problem where FAXmail would not scan the MHS directory if the MHS
    directory tree was not installed at the root directory of the volume.

o - Corrected a problem in FAXmail which would cause a fax submission failure
    to be reported depending upon the size of the message text.

o - Improved the SYS12X24.GFT font file to make the number '6' more 
    distinguishable from the number '8' for the small fonts in standard 
    resolution.

o - Corrected the CASDLL.DLL to delete all T4 image files it creates.
 
o - Fixed a problem where the Manager/NLM, Modem Support, Windows Client and 
    DOS client install disks were not calculating the free disk space 
    correctly; especially on very large volumes (> 4GB).  Each INSTALL.EXE
    program now includes a command line option to disable the free disk 
    space checking.
         Usage: INSTALL /IG    
         Where:   /IG = ignores disk space checking

o - Fixed a problem where FAXSERVE.EXE was not deleting the temporary files,
    *.ZC, in the \JOBS directory.

o - Modified FAXSERVE.EXE to open the FAXserve Error Log with SHARE and 
    DENY NONE rights.

o - Fixed a problem when de-authorizing a FAXserve User/Administrator who 
    is a member of an authorized FAXserve group, was not being de-authorized. 
    The user will now be removed from the authorized user list even 
    though the user is a member of an authorized group.

o - Modified FAXLIB.NLM so that the maximum CPU time slice would adhere to 
    Novell's certification limits.

o - Fixed a problem where placing 20 characters in the CSID would cause the 
    FAXDRV.NLM (for class 2 modems) to fail during the initialization phase 
    of the modems.


2.0 Enhancements
----------------

o - Included in FAXserve 2.00c patch are the latest version of Intel's 
    SatisFAXtion DOWNLOAD.402 and LOADER.402 board drivers.  The *.402 files
    now supports receiving DTMF tones.  It also fixes some problems that 
    causes the modem to hang.  The file date, time, and sizes are listed 
    below.
                DOWNLOAD.402     320006  09-07-94   12:10a
                LOADER.402        15104  09-98-94   12:10a

o - Included a command line option to SAT.NLM to set the maximum baud rate 
    for the Intel SatisFAXtion modems.  The following demonstrates the usage.

       load faxdrv.nlm maxbitrate=n

           where n equals 2400, 4800, 7200, 9600, 12000 or 14400

    Note - This command line option only applies to the Intel SatisFAXtion 
           driver.

o - Changed the "Inbound Routing" field name to "Unrouted Faxes" to clarify
    the functionality of the field.

o - FAXDOS.EXE will now delete *.IMG and zero byte *.PCL files in the user's 
    FAXserve mail directory.  These files were not deleted if FAXDOS was not
    unloaded by the user.

o - Modified the Class 2 driver to be more tolerant to faxes that have
    improper image headers.  This resolves the problem where users using 
    WinFax Pro would get an error message of "Invalid File".

3.0 Installation 
----------------

3.1 FOR NEW INSTALLS
--------------------

STEP 1 - Make sure you have the two self-extracting zip files from 
         Cheyenne's BBS; FS0031.EXE and FS0032.EXE.  FS0031.EXE contains
         FAXserve's upgraded files.  FS20032.EXE is the complete modem
         support disk.  

STEP 2 - Create a temporary directory on your workstation or server.  We'll
         use \FAXSERVE.20C as the example.  Change directory to 
         \FAXSERVE.20C.  Create the following directories:
              \INSTALL.MGR
              \INSTALL.MOD
              \INSTALL.WIN
              \INSTALL.DOS

STEP 3 - 
         1) Copy the contents of the FAXserve 2.00 disk labeled "Manager/NLM"
            to the \INSTALL.MGR directory.

         2) Copy the contents of the FAXserve 2.00 disk labeled "FAXclient 
            For Windows" to the \INSTALL.WIN directory.

         3) Copy the contents of the FAXserve 2.00 disk labeled "FAXclient
            For DOS" to the \INSTALL.DOS directory.

STEP 4 - Choose a temporary directory on your workstation.  Run the self-
         extracting zip FSUP20C.EXE.  Enter: FSUP20C.EXE -d
         Note, the following directories will be created.
               \MGR-NLM
               \WINCLI
               \DOSCLI

         From the same directory run the self-extracting zip FSMOD20C.EXE.
         Enter: FSMOD20C.EXE -d.
         Note, the following directory will be created.
               \MODEMDRV

STEP 5 - 
         1) Copy the INSTALL.EXE file from \MGR-NLM to the \INSTALL.MGR
            directory.

         2) Copy the files from \MODEMDRV to the \INSTALL.MOD directory

         3) Copy the INSTALL.EXE file from \WINCLI to the \INSTALL.WIN
            directory.

         4) Copy the INSTALL.EXE file from \DOSCLI to the \INSTALL.DOS
            directory.

STEP 6 - Now follow the FAXserve installation instructions from the manual, 
         using the \INSTALL.* directories instead of the diskettes.

STEP 7 - Next follow the steps for upgrading from FAXserve 2.00/2.00a to  
         FAXserve 2.00c starting from STEP 2.


3.2 UPGRADING FROM FAXserve 2.00/2.00a TO FAXserve 2.00c
--------------------------------------------------------

    If the FAXserve 2.00c upgrade was obtained from Cheyenne's BBS or 
CompuServe, follow the simple steps below to update your FAXserve 2.0 or 
FAXserve 2.00a installation.   

STEP 1 - Chose a temporary directory on your workstation.  Run the self 
         extracting zip FS20UPC.EXE.  Enter: FS20UPC.EXE -d
         Note, the following directories will be created.
              \MGR-NLM
              \WINCLI
              \DOSCLI

STEP 2 - From the \MGR-NLM directory:
                
       o - Copy the following files to the FAXserve Server's /SYS:SYSTEM 
           directory:
                        FAXMAIL.NLM
                        FAXROUTE.NLM
                        FAXLIB.NLM
                        FAXCONV.NLM
                        FAXPRINT.NLM
                        FAXPS.NLM
                        FAXEP24.NLM
                        FAXHP.NLM
                        FAXCONV.NLM
        
       o - Copy FAXSERVE.EXE to the \MANAGER directory under the FAXserve 
           home directory.
  
       o - Copy SYS12X24.GFT to the \CONTROL directory under the FAXserve 
           home directory.

       o - Intel SatisFAXtion/Digitec Modems
           ---------------------------------
           If you have installed Intel's Classic/International/200/400/402 
           or Digitec's modem(s), copy the SAT.NLM file to the FAXserve 
           Server's /SYS:SYSTEM directory - and rename the file to 
           FAXDRV.NLM.

       o - If you have the Intel SatisFAXtion 402 modem(s), COPY the 
           DOWNLOAD.402 and the LOADER.402 file to the \CONTROL 
           sub-directory.

       o - If you have the Intel Classic International or the Digitec 
           modem(s), copy the two country specific files to the \CONTROL 
           directory of the FAXserve home directory.  Then rename the 
           copied files to *.IFP.  The following lists the country specific 
           files to copy for the specific country.

               Intel/Australia
                           DOWNLOAD.AUS
                           LOADER.EUR
               Intel/Germany
                           DOWNLOAD.GER
                           LOADER.EUR
               Intel/United Kingdom
                           DOWNLOAD.UK
                           LOADER.EUR
               Digitec/Germany
                           DOWNLOAD.DIG
                           LOADER.EUR

       o - Comwave Modems
           --------------
           If you have installed Comwave's modem(s), copy the COMWAVE.NLM 
           file to the FAXserve Server's /SYS:SYSTEM directory - and rename 
           the file to FAXDRV.NLM.  Then copy the FAX1.BIN to the \CONTROL 
           sub-directory in the FAXserve home directory.

       o - Class 2 Modems
           --------------
           If you have installed Class 2 modem(s), copy the CLASS2.NLM file 
           to the FAXserve Server's /SYS:SYSTEM directory - and rename the 
           file to FAXDRV.NLM.

STEP 3 - From the \WINCLI directory 
       
         Copy the following files to the \CLIENT subdirectory of the 
         FAXserve home directory.
                CASDLL.DLL
                FAXITSCH.EXE
                FRENCH.LCH
                SETCOVER.EXE
                POLLTIME.EXE

         For each of the workstations which have been configured for
         the FAXclient Windows Client, copy the following files to the
         \WINDOWS directory on each workstation.
                CASDLL.DLL
                FAXITSCH.EXE
                POLLTIME.EXE

STEP 4 - From the \DOSCLI directory 

         Copy the following files to the \CLIENT.DOS subdirectory of the 
         FAXserve home directory.
                FAXDOS.EXE
                FAXSEND.EXE
                SETUP.EXE

         If a user has a local copy of FAXclient for DOS on their 
         workstation copy the following files to their local directory.
                FAXDOS.EXE
                FAXSEND.EXE
                SETUP.EXE

STEP 5 - Unload and reload FAXserve.  Verify that FAXserve's NLMs, except
         FAXSERVE.NLM, are labeled version 2.00c using the MODULES command
         at the system console.


4.0 Notes
---------

4.1 Intel SatisFAXtion modems
-----------------------------

o - Some customers have reported problems running Intel SatisFAXtion 
    modems on EISA servers.  This is a common problem with ISA boards on
    EISA machines due to the bus clock cycle or write cycle timing.

    If you experience problems with the Intel board, check the clock speed
    and/or write cycle timing via the EISA configuration program.  As an
    example, the Compaq Prosignia should configure the write cycle timing
    from the default 420 ns to 540 ns.

o - Do not use the '&' while dialing DTMF numbers.  Using the latest
    DOWNLOAD.402 driver, the '&' may cause the Intel modem to hang.  
    Instead, use instead the '@' modifier.
        For example:
                    Instead of dialing ->  555-1212&*1234#
                    dial this ---------->  555-1212@*1234#

4.2 Class 2 driver
------------------

o - The Class 2 driver was modified to be more tolerant to images where the 
    information in the image header did not match the actual amount of data.
    This resolves the problem where FAXDRV would report that the image could 
    not converted when jobs were submitted via WinFax Pro.

4.3 Auto-dialing DTMF tones with a fax machine
----------------------------------------------

o - The following describes the steps needed to auto-route faxes using a fax
    machine via DTMF tones.  That is, there is no need to pick up the 
    receiver and listen for the AT&T bong before entering the DTMF code.

    If your fax machine has a PAUSE key, the entire Phone Number and DTMF 
    code may be entered at one time.  Simply insert approximately 6 seconds 
    of "pause" after the phone number then add the DTMF digits.

    For example, if you wanted to dial 516-555-1212 and pass along the 
    DTMF code of 1234, using a fax machine with a 2 second PAUSE key, you 
    would enter at the fax machine

             5165551212<PAUSE><PAUSE><PAUSE>*1234#<START>

    Note: o - Not all fax machines have a PAUSE key.
          o - The time delay of the PAUSE key varies for each fax machine.
              This will effect the number of PAUSE keys that needs be 
              entered.  Check with your manufacturer's manual to determine 
              the duration of the PAUSE key.
          o - Also the number of PAUSE keys to enter depends on the time it 
              takes for the fax machine to connect with the fax modem.


4.4 How FAXROUTE.NLM determines which MHS SMF format to use
-----------------------------------------------------------
    
o - FAXroute determines the MHS SMF format to use for routing faxes based on 
    FAXSERVE's e-mail address format.  The e-mail address field is located
    in the "Configure MHS Fax Services" option under the Administration Menu
    in FAXSERVE.EXE.

    SMF version         Address Format
    -----------         --------------
    SMF-71              FAXSERVE USER NAME @ THIS IS THE WORK GROUP
           
    SMF-70              FAXSERVE @ WORKGRPP

    SMF-64              FAXSERVE @ -WRKGRP-

    Note - For SMF-70 and SMF-64, the string before and after the '@' 
           character must not be more than 8 characters in length.
           For SMF-64, the '-' character must appear before and after the 
           workgroup name.


4.5 POLLTIME - Utility to modify the scan time for FAXclient for Windows
------------------------------------------------------------------------
    
o - The POLLTIME.EXE utility will allow a user to specify how often 
    FAXclient checks for new receive faxes or updates to transmit faxes.
    FAXclient currently checks for new FAXserve receive faxes once 
    every minute (i.e. TIMER_VALUE = 1).  If the FAXclient tool is open, the 
    workstation also checks for transmit fax updates every TIMER_VALUE/8 
    minutes.  Note that if the FAXclient tool is not open, no transmit 
    queries take place.  By increasing the FAXclient TIMER_VALUE, the user 
    will benefit from fewer workstation interruptions.  Since the updates 
    occur less often, the user should expect to see transmit and receive 
    status changes less often as well.

    To install the POLLTIME.EXE utility:

       a. Exit out of Windows back to the DOS command line.

       b. Copy POLLTIME.EXE to the workstation WINDOWS directory.

       c. Change the directory (cd) to the WINDOWS directory.
          Execute the POLLTIME utility and specify the number of minutes 
          between FAXserve receive checks.  As an example, in order to 
          check FAXserve for new receive faxes every 7 minutes, execute:
  
              POLLTIME 7

       d. Restart Windows in order for the new timer setting to take effect.

       e. If desired, the FAXserve administrator could copy POLLTIME.EXE 
          to the FAXSERVE\CLIENT directory in order to automatically update 
          all future workstation installations with a default timer 
          setting.

    NOTES:
        1. The POLLTIME.EXE command line options are:

               POLLTIME [FILE_PATH] TIMER_VALUE
    
           Where FILE_PATH   = File path to the FAXITSCB.EXE program if it
                               is not in the same directory as POLLTIME.EXE
                 TIMER_VALUE = 1-60 Minutes between receive queue checks
          
        2. When the FAXclient Windows Client is active (i.e. the transmit
           and receive logs are visible), FAXclient will check the 
           FAXserve transmit queue approximately every TIMER_VALUE/8 
           minutes.

        3. An error [13] message from POLLTIME will likely indicate that 
           you have not exited Windows before executing POLLTIME.

        4. This utility will not work with FAXserve v1.01.


4.6 Using WinFax Pro with FAXserve
----------------------------------
    
o - The following are steps to use WinFax Pro for Windows with FAXserve:

    1 - Attach or login to the FAXserve host server.
    2 - Load the WSRM.EXE program with the FAXserve host server's name.

           i.e. WSRM FS1              where FS1 is the FAXserve host server

        Note - the WSRM.EXE program may be placed in the WINSTART.BAT file
               to ensure that the program is executed everytime Windows 
               is executed.
    3 - Configure WinFax Pro to use the Intel CAS modem type. 
  
        Note - FAXserve does not have to be configured for Intel 
               SatisFAXtion driver to use the WinFax Pro front end.

4.7 Certified Device List
-------------------------
    
o - The most recent revision of the FAXserve 2.00 Certified Device List can
    be obtained by calling our fax back number.  The number is 516-629-4675.  
    The document number is 60001.  Please make sure the modems and devices 
    you are using with FAXserve is on the list.  Also, please follow any 
    footnotes or directions that the Certified Device List may have for 
    your particular devices.

4.8 Known problems
------------------

o - For Class 2 modems fax jobs are not immediately being canceled when an 
    Abort command is issued from the client.

o - Microsoft Mail has problem File/Printing to via the FAXclient on CAS 
    driver.  A blank page will result.  Note that MS Mail email messages
    work properly with FAXserve given the proper MHS gateway support.

o - Early versions of NetWare CLIB 3.12 do not work properly with
    FAXserve due to a NetWare library problem dealing with queues.  
    Utilize CLIB 3.12d for NetWare 3.11 and 3.12 servers.

o - Due to a Novell bug within the NetWare CLIB 3.12f (dated 2/24/94), 
    FAXserve could abend the server when unloading the FAXserve NLMs.
    Use CLIB 3.12d instead.

o - PageMaker 5.0a for Windows has problem printing out from FAXclient for 
    Windows.  The symptom is only the lower right-hand portion of the 
    document is faxed out.  There is currently no solution to this problem.

o - cc:Mail 2.0.3 and FAXclient for Windows
    If trying to print to FAXclient for Windows printer driver using 
    cc:Mail 2.0.3 a General Protection Failure would result.  The message
    "cc:Mail caused GPF in module FAXITDRV.DRV" would appear.
    Switching printer drivers within cc:Mail seems to cause this problem.
    Re-installing under the driver you want to work with seems to resolve 
    this problem.  This problem occurs with any printer drivers.


    The following release notes were provided as part of the FAXserve 2.00a
update.  These notes are provided for information purposes -- to describe
the changes since the FAXserve 2.0 release.

==============================FAXserve 2.00a=================================

           CHEYENNE COMMUNICATIONS FAXserve 2.0 UPDATE DOCUMENT

Product      :  FAXserve 2.00
Revision     :  2.00a
Revision Date:  05/24/94
                
FAXserve v2.00a
---------------

1.0 General 
-----------

    This document describes minor changes, enhancements, and documentation
improvements which have been incorporated into FAXserve 2.0.

1.0 Bug Fixes
-------------

o - Fixed a problem when unloading and loading FAXprint which would reset 
    the HP print resolution to 150 dpi instead of the specified print 
    resolution.

o - Fixed a problem with FAXmail in that if the MHS Extended Address was
    not included in the MHS envelope, FAXmail would fail to process the MHS 
    envelope - and no error messages would be returned to the sender.

       Example of MHS Extended Address; Fax information is within the
       curly braces:

          FAXSERVE @ WORKGRP {FAX:555-1212/John Doe/ @LOGO:MYLOGO.PCX}
               |      |      \--------------\ /----------------------/
               |      |                      |
               |      |                      +---Extended Address
               |      +--------------------------Work group name
               +---------------------------------MHS user name

o - Fixed a problem where FAXDRV.NLM was not updated by the Modem Setup
    installation program if administrator changed the Modem selection
    from a previous setup.

o - Fixed a problem when receiving certain faxes on an Intel 400 (402) board 
    which would result in many pages of corrupted images.

o - The FAXserve Manager/NLM install program will now assign group 
    EVERYONE create rights to the FAXserve home directory.  This will
    prevent other users from gaining access to other users' FAXserve 
    mail directories if Read and File Scan rights are given to group 
    EVERYONE to the root volume directory.

o - Fixed a problem with the CASDLL.DLL file which was not able to detect 
    that a user belonging to authorized FAXserve group was a valid FAXserve 
    user.

o - Fixed a problem where FAXserve was not notifying administrators
    that an unrouted fax was available for routing - even though the 
    notification flag was set for Inbound Routing.

o - Fixed a problem where MHS email notification would report one page 
    less than the actual pages sent - if a cover page had been included.

o - Updated the four FAXserve INSTALL.EXE programs to properly calculate 
    the available free disk space on the server - including very large
    volumes.

o - Fixed a problem within FAXSERVE.EXE which allowed a non-supervisor 
    equivalent FAXserve administrator to print out all the pages of a 
    fax.  Now, only the first page may be printed.

o - Fixed a problem where if an FAXserve administrator tries to route a fax
    and there is no available disk space, FAXSERVE.EXE would not report an
    error.

o - Updated the transaction database subsystem to properly include the
    sender name within the transmit events information.

o - Updated the FAXSEND.EXE program to allow users to enter ASCII 
    characters/codes between 128-255.

o - Updated the CASDLL.DLL file to correct a problem when using 
    Novell VLMs version 1.1.  The FAXclient Windows Client will now 
    properly submit faxes to the FAXserve server regardless of whether
    the FAXserve server is the login server.

o - Fixed spelling errors in the French version of the Windows Client 
    hardware coversheet.

o - Updated the SETCOVER.EXE program to properly select both FAXclient
    the and hardware coversheet.


2.0 Enhancements
----------------

o - Enhanced FAXmail so that the MHS application name is ignored by
    FAXmail when checking an MHS envelope for valid user authorization.

      i.e.   ADMIN.DVSEMAIL @ WORKGRP
               |      |          |
               |      |          +---Work group name
               |      +--------------Application name (for DaVinci Mail)
               +---------------------MHS user name

o - Added International Intel boards to the Modem Setup selection list.

o - Added Digitec boards to the Modem Setup selection list.

o - Incorporated a command line switch for the Intel FAXDRV.NLM to 
    disable DTMF detection on the board.
       LOAD FAXDRV DTMF=D (to disable DTMF)
       LOAD FAXDRV DTMF=E (to enable DTMF <default>)


3.0 Notes
---------

3.1 Auto-routing faxes
----------------------

o - In order to auto-route incoming faxes, a FAXserve administrator must 
    setup the Inbound Routing database.

o - Auto routing faxes using DTMF with a fax machine.
      
      In order to auto-route faxes using DTMF from a fax machine do the 
      following:

         1 - Insert page(s) to fax in fax machine.

         2 - Pick up the handset from the fax machine OR if the fax machine 
             has one, press the SPEAKER button,
      
             wait for a dial tone, then dial the recipient's fax number;
                    example:  2145551212

         3 - Wait until hear the receiving modem pickup and you hear a 
             "doo-doot" tone.

         4 - After you hear the "doo-doot" tone, wait approximately 2 
             seconds.  Then dial the DTMF number;
                   example: 1234
      
         5 - After you enter the DTMF number press the # key and then the 
             START/SEND key to start transmitting the fax data.

         6 - If you had picked up the handset, return it to the fax 
             machine.

o - Auto routing faxes using DTMF with another fax modem.
      
      In order to auto-route faxes using DTMF from a modem running FAXserve 
      (of course the receiving modem is running FAXserve and using Intel or 
      Comwave modems) do the following:

      Place the "@*xxxx#" DTMF string within the recipients phone number.  
      Depending upon the fax modem, the '@', '&', or ',' characters can
      be used to precede the DTMF digits.  The '*' and '#' characters
      are used as preceding and trailing characters for the DTMF digits.

      As examples: 562-8934@*1234#, 754-9868&*4567#,  212-329-3276,,,*7654#
      
      The sending modems must support the '@' and '&' tones.  These 
      symbols tell the sending modem wait for a tone before sending the 
      DTMF digits. (1234 in the first example above).  The numbers 
      before these symbols is the phone number of the fax modem/machine.


3.2 Modem/Board Specifics
-------------------------

3.2.1 Intel SatisFAXtion
------------------------

o - Identifying the SatisFAXtion 400 board from the 402 board

       1 - The box containing 402 board has a time stamp of 12/10/93 or 
           later on it.
       2 - The 402 board has a smaller speaker than the 400 board.
       3 - The 402 has a rectangular white capacitor that is placed parallel 
           to the length of the board.  The 400 board has the white 
           capacitor placed perpendicular to the board.
       4 - The 400 board has a circular 9-pin plug on the back of the board 
           where the line and phone jacks are located.  The 402 board does 
           not have this circular plug.
       5 - The software that comes with the Intel 402 board will have the 
           DOWNLOAD.402 and LOADER.402 files.  The Intel 400 board will have
           the DOWNLOAD.400 and LOADER.400 files.

o - DTMF (Dual-Tone Multi-Frequency) support was disabled for Intel 402 
    boards using DOWNLOAD.402 and LOADER.402 dated 11/19/93 (v3.51).  
    This is due to the fact that Intel download code does not support
    DTMF.  A future Intel update to the DOWNLOAD.402 code is expected
    to support DTMF.


3.2.2 Digitec
-------------

o - Digitec and Intel Classic modems cannot be installed on the same 
    server because both modems have the same name for their download files,
    DOWNLOAD.IFP and LOADER.IFP



3.3 Considerations for Windows 3.1 installed on the network
-----------------------------------------------------------

o - The first user to install the Windows client onto a network shared 
    version of Windows must have WRITE and ERASE rights to the Windows 
    shared program directory in order to properly complete the FAXclient
    for Windows install.  The reason is that FAXclient for Windows install
    needs to update the NWCALLS.DLL and NWLOCALE.DLL in the WINDOWS\SYSTEM\
    directory.  Users installing after the first user would then have the 
    updated Windows files.


4.0 Known problems
------------------

5.0 Fax Board/Modem Download Files
----------------------------------

o - The following list is the latest download programs for the Intel 
    SatisFAXtion, Comwave MicroFax and Digitec fax boards.  For the 
    Intel SatisFAXtion boards the country specific (Australia, Germany, 
    United Kingdom and the United States) download file dates are 
    provided.  These download files are provided by the fax board 
    manufacturers.  Please make sure you are using the correct 
    download files.  The download files must be located in the \CONTROL 
    subdirectory of the FAXSERVE home directory.

o - Intel FAX Modems:

        Intel CLASSIC Board         Size      Date      Time
             Australia
                 DOWNLOAD.AUS        90700    02/08/93   1:10p
                 LOADER.IFP          11712    09/08/92   2:00a

             Germany
                 DOWNLOAD.GER        93394    04/07/94   6:23p
                 LOADER.IFP          11760    04/01/94  12:10p

             United Kingdom
                 DOWNLOAD.UK         92840    04/07/94   6:56p
                 LOADER.IFP          11760    04/01/94  12:10p

             United States
                  DOWNLOAD.USA       92126    12/09/92  12:00a
                  LOADER.IFP         11712    09/08/92   2:00a

        Intel 200 Board 
                 DOWNLOAD.200       136864    12/07/92  12:00a
                 LOADER.200          11712    04/10/92  12:20a

        Intel 350 Board
                 DOWNLOAD.400       227762    11/19/93  12:10a
                 LOADER.400          14976    11/19/93  12:10a

        Intel 400 Board
                 DOWNLOAD.400       227762    11/19/93  12:10a 
                 LOADER.400          14976    11/19/93  12:10a 

        Intel 402 Board
                 DOWNLOAD.402       303766    11/19/93  12:10a
                 LOADER.402          14976    11/19/93  12:10a


o - Digitec Modems

                 DOWNLOAD.IFP        90656    02/08/93  10:09p
                 LOADER.IFP          11712    09/08/92   2:00a


o - Comwave MicroFax Modems (MicroFax 2 & 3)

                 FAX1.BIN            110884   12/10/93   9:35a

6.0 CLIB versions
-----------------

o - Please use the following versions of CLIB with FAXserve.

    NetWare 3.11 and 3.12 servers: CLIB 3.12d
    NetWare 4.01 servers:          CLIB 4.01d

- File date and time of updated files.



7.0 FAXserve and NetWare Connect
--------------------------------  

o - FAXserve and NetConnect can coexist on the same NetWare server.
    A configuration step is required to allocate modems for NetConnect
    and fax modems for FAXserve.  An application note is available
    which describes the integration of these two products.


8.0 CLASS 2 Modems
------------------

8.1 16550 UART COM Ports
------------------------

o - As described in the FAXserve Installation manual, FAXserve can be
    configured to utilize two server COM ports (e.g. COM3, COM4).
    The COM port must utilize a 16550 UART, however.  Many older PCs
    utilize the 16450 UART - and will not work with FAXserve.  Refer
    to the Installation manual for more details.    


8.2 Multi-Tech MT1432BR Modems
------------------------------

o - The Multi-Tech MT1432BR modem has been added to the FAXserve 2.0
    Certified Device List.  There are four one-time configuration steps 
    required to configure the Multi-Tech MT1432BR modem for use with 
    FAXserve.

      1. DSR must be forced on  - There is a dip switch setting on the modem      
                                  (swith 15) which must be changed to force 
                                  DSR on.
      2. Reversed the bit order - Using a PC-based Comm package, configure
                                  the modem to reverse the bit order via the 
                                  command: AT+FRBOR=1.
      3. Do not reset FCLASS    - Using a PC-based Comm package, configure 
                                  the modem to maintain the FCLASS setting 
                                  when the modem is disconnected.
      4. Save the configuration - Using a PC-based Comm package, save the 
                                  modem configuration to non-volatile RAM 
                                  via the command: AT&W0. 



9.0 STEPS FOR UPGRADING FAXserve 2.00 TO FAXserve 2.00a
--------------------------------------------------------

    If the FAXserve 2.00a upgrade was obtained from Cheyenne's BBS
or CompuServe, follow the simple steps below to update your FAXserve 2.0
installation.

Step 1 - Chose a temporary directory on your workstation, run the self 
         extracting zip FS20UPA.EXE.  Enter: FS20UPA -d
         Note, the following directories will be created.
              \DOSCLI
              \MGR-NLM
              \MODEMDRV
              \WINCLI

Step 2 - From the \MGR-NLM directory:

         Copy the following files to the FAXserve Server's SYS:SYSTEM 
         directory:
                FAXMAIL.NLM
                FAXROUTE.NLM
                FAXPRINT.NLM

         Copy FAXSERVE.EXE to the \MANAGER directory under the FAXserve 
         home directory.
  
Step 3 - From the \MODEMDRV directory:

         Copy the following files to the FAXserve Server's SYS:SYSTEM 
         directory:
                FAXCONV.NLM

         If you have installed an Intel Classic/International/200/400/402 
         or a Digitec board, copy the SAT.NLM file to the FAXserve 
         Server's SYS:SYSTEM directory - and rename the file to FAXDRV.NLM.

         If you have installed a Comwave board, copy the COMWAVE.NLM 
         file to the FAXserve Server's SYS:SYSTEM directory - and 
         rename the file to FAXDRV.NLM.  Then copy the FAX1.BIN to the
         \CONTROL sub-directory in the FAXserve home directory.

         If you have installed Class 2 modem(s), copy the CLASS2.NLM 
         file to the FAXserve Server's SYS:SYSTEM directory - and 
         rename the file to FAXDRV.NLM.

         If you have the Intel Classic International or the Digitec board 
         copy the country specific files to the \CONTROL subdirectory of 
         the FAXserve home directory.  Then rename the copied files to *.IFP.

             Intel/Australia
                      DOWNLOAD.AUS
                      LOADER.EUR

             Intel/Germany
                      DOWNLOAD.GER
                      LOADER.EUR

             Intel/United Kingdom
                      DOWNLOAD.UK
                      LOADER.EUR

             Digitec/Germany
                      DOWNLOAD.DIG
                      LOADER.EUR

             

Step 4 - From the \WINCLI directory 
       
         Copy the following files to the \CLIENT subdirectory of the 
         FAXserve home directory.
                CASDLL.DLL
                FRENCH.LCH
                SETCOVER.EXE

         For each of the workstations which have been configured for
         the FAXclient Windows Client, copy the CASDLL.DLL file to 
         WINDOWS directory on each workstation.

Step 5 - From the \DOSCLI directory 

         Copy FAXSEND.EXE to the \CLIENT.DOS subdirectory of the FAXserve 
         home directory.
  
         If a user has a local copy of FAXclient for DOS on their workstation
         copy the newer FAXSEND.EXE to their local directory.

Step 6 - Unload and reload FAXserve.  

=============================================================================


                    FAXserve 2.0 - Release Notes       3/14/94

    Please read this document for the latest notes concerning FAXserve
2.0.  This document is more current than the FAXserve 2.0 documentation.


1.0 General
-----------

O - The NetWare user "FAXSERVE" can not have a restricted number of 
    connections or restricted disk space in order to function properly.

O - If a submitted fax job is deleted before FAXserve starts the
    send process, a log file (LCF file) will not be created.

O - Do not manually delete the *.Q files in the xxxx.QDR directory.  If 
    the file is deleted then the FAXserve Statistics Screen (on the
    server) will display incorrect pending job statistics.  In addition, 
    there will be no way of deleting the job.


2.0 FAXserve Server
--------------------

2.1 Fax Boards/Modems
---------------------

O - If a PC/Xi or PC/Xe DigiBoard is being used with FAXserve, the
    version 1.08 AIODGMEM.NLM and AIODGXI.NLM files will be installed 
    by the Modem Setup installation.  The 1.08 version of the NLMs
    is required to correct a problem with the 1.06/1.07 version
    of the NLMs.

O - FAXserve 2.0 supports DTMF auto-routing using fax boards which
    provide DTMF detection.
    
    Note that Class 2 modems do not currently detect DTMF digits.
    Most Class 2 modems, however, can be used to send DTMF codes to 
    a receiving modem which detects DTMF digits.


2.2 Modem Specific Notes
------------------------

2.2.1 Intel SatisFAXtion
------------------------

    - Intel boards emit the AT&T bong tone upon answering.  Additionally,
      the Intel boards also support the '&' dialing modifier which will 
      wait for the AT&T bong before dialing.  This can be used instead 
      of the '@' character if you are sending from an Intel board to an 
      Intel board.  The '#' tone will tell this board to stop receiving 
      DTMF codes and start the fax carrier.

    - FAXserve 2.0 supports the Intel Modem/350 board.  The FAXserve 
      Modem Setup installation does not contain an entry for the Intel 
      Modem/350 card.  Choose the "Intel SatisFAXtion Modem/400" if you 
      wish to use the Modt.  FAXserve supports
      both of the Modem/400 products.
      
      The newest Modem/400 card is model PCFM6401; the product is 
      packaged in a box dated 12/10/93.  This board is referred to as 
      a "402" board.

    - The Intel 402 card does not currently support DTMF.  Intel is
      working on this problem.

    - The "phone" jack on the Intel modem should not be used.  If a
      fax machine is connected to the "phone" jack, for example, the
      modem will not answer an incoming call.

    - Note that Intel boards must first be configured using the DOS
      tools supplied by Intel.  This Intel configuration sets theEPROM.  If desired, the 
      Intel board can be configured on a separate DOS workstation, then
      installed in the NetWare server.

    - By default, the Intel Modem/350 and Modem/400 cards utilize
      I/O port 0x260 as the default fax board I/O port.  This could
      conflict with the Local Bus Vid board I/O port.  This could
      conflict with the Local Bus Video I/O port on some workstations.

    - If one attempt to configure an Intel modem for I/O address
      0x3B0-0x3BF, Intel will remap the address to 0x240-0x24F.
      In this case, one must manually configure the FAXDRV.CFG file
      to force the I/O address to 0x240-0x24F.

2.2.2 Comwave Microfax
----------------------

    - Comwave boards do not currently support the '@' dialing modifier.
      The only method of delaying the dialing of the DTMF digits is to
      insert commas (',') after the telephone number to vary the 
      delay interval.
    
    
2.2.3 Class 2 Modems
--------------------

O - Class 2 boards currently cannot receive DTMF codes for 
    auto-routing.  They can, however, be used for sending DTMF codes 
    to fax boards that have DTMF receive capability (e.g. Intel boards).
    Most Class 2 modems support the '@' dialing modifier.  Some 
    Class 2 modems support a dialing modifier equivalent to the 
    Intel '&' modifier which will wait for the AT&T bong and can 
    be used to send it for the AT&T bong and can 
    be used to send to an Intel SatisFAXtion.

    You should consult your modem manual for a complete list of 
    supported dialing modifiers.
    
O - The Boca M144EW Class 2 modem with V1.400-AS29 firmware does not 
    support sending DTMF strings.

    The Boca M144EW Class 2 modems with V1.400-AS29 firmware can not 
    detect if a phone line is busy.

O - FAXserve will abort a sending job on page boundaries.

O - If a Class 2 modem does not respond to FAXserve commands (during
    installation or transmission), try power cycling the Class 2 modem.
    Please notify Cheyenne Technical support if this problem occurs.


3.0 FAXserve Manager
--------------------

O - An Administrator who is not Supervisor Equivalent can only view the 
    first page of a fax in the Route Faxes section under Administration.

O - The U.S. English option of FAXserve requires a numeric-only telephone
    number within the CSID field per FCC regulation.


3.0 FAXserve Windows Client
---------------------------

O - To use FAXclient, Windows version 3.1 must be functioning in 386 enhanced
    mode.

O - For proper operation, the FAXclient Windows Client needs 
    NetWare 386 Enhanced parameters set within the Windows Control
    Panel Network configuration dialog.  Ensure that the 
    "NWShare Handles" and the "Restore drives" items are selected
    (i.e. 'X'ed) within the Network dialog.

O - If FAXclient is to be installed for use with the 12/09/93 NetWare 
    VLMs, one must configure the Windows Control Panel Network dialog
    setting for Global Drives and Paths to ON. This will satisfy the 
    "NWShare Handles" requirement referred to above, for the VLM interface.

O - When upgrading the FAXclient Windows Client from a FAXserve 1.01
    installation, first delete all log files from the transmit and
    receive logs; these images can not be properly moved to a FAXserve
    2.0 installation.

O - FAXclient Environment Variables

    FAXserve 2.0 has defined a DOS environment variable which is
    designed to make it easy for the user to define the FAXserve server
    for FAXclient to use during the Windows session.
    
      SET CASSERVER=<server_name> 

    Note: The SET must be performed from the primary DOS shell to be 
          effective, therefore it is strongly suggested that this statement 
          be included within your AUTOEXEC.BAT}
      
    In addition, three additional variables are defined in the 
    WINDOWS\CASDLL.INI file.  These variables are intended to make
    it easy for the user to define the drive map(s) to be used by
    FAXclient.
    
      CASMAP=ON                  ; set ON to enable auto mapping
      CASHOMEMAP=<drive_letter>  ; drive map for FAXserve home directory
      CASUSERMAP=<drive_letter>  ; drive map for User's FAXserve
                                   mail directory (can be same as
                                   the CASHOMEMAP

    As an example, the following variables would be set to access
    NetWare server MARKET on the user's drive J:.

      SET CASSERVER=MARKET
    
    And within the CASDLL.INI you would see:

      [CASDLL]
      CASMAP=ON
      CASHOMEMAP=J
      CASUSERMAP=J

O - The a copy of the original administrator's CASDLL.INI file is included 
    within the FAXSERVE/CLIENT (FAXSERVE = "home directory") directory during
    the initial installation. This allows the administrator to control the 
    designated drive map for each forthcoming workstation installation. 
    In other words, the next user to install the FAXclient will have a 
    personal CASDLL.INI file, identical to the one created in the 
    FAXSERVE/CLIENT directory. If this is undesirable, the user may change 
    the mappings or the administrator may delete the CASDLL.INI in the CLIENT
    directory. If the file is deleted, then the CASDLL.DLL program will 
    automatically seize control of the first network drive map when a new 
    user installs by default, and that configuration will be reflected in 
    their CASDLL.INI file. 

O - Drive mappings assigned by the CASDLL.DLL program will pre-empt any 
    previous assignment for that particular map, until the user exits Windows.

O - The Windows FAXclient's logo files must be in monochrome PCX format.  
    If you are trying to use a *.bmp file as a logo file, use Paintbrush 
    to first save the file in a monochrome BMP format.  Then open the
    monochrome BMP file and save it as a PCX file.

O - In order to send a fax to a pre-defined group at a specific time
    (other than ASAP), the user must type the Group Name in the 
    selection field instead of double clicking on the group name.
    Otherwise, the faxes will be sent ASAP instead of at the specified
    time.

O - FAXserve will abort a sending job on page boundaries.  This could
    result in a delay in the FAXclient tool if a "sending" job is
    deleted.  That is, the FAXclient tool will wait for the end of
    page before the job is deleted.

O - DDE is not supported in FAXserve 2.0.

O - If you have installed a copy of FAXserve 2.0 Beta 2, edit the
    WINDOWS\WIN.INI file before installing FAXclient on the 
    workstation; remove the FAXITSCH.EXE entry from the WIN.INI
    "load=" line.

4.0 FAXserve DOS Client
-----------------------

O - FAXserve 2.0 no longer requires the WSRM.EXE TSR for any of the
    FAXserve utilities (i.e. FAXSERVE.EXE, FAXclient, FAXSEND.EXE,
    and FSEND.EXE).

O - Currently, FAXDOS does not work properly with NetWare VLMs.
    There is a problem within the NetWare VLM code which does not 
    allow proper printer port operation.
    
    NetWare's VLMs operate properly with the FAXserve FAXSEND.EXE and
    FSEND.EXE utilities.  Additionally, VLMs work properly with the 
    FAXclient Windows client.

    Note that FAXDOS operates properly with NetWare's NETX shell.
    
O - The workstation must have at least 48K of upper memory available in
    order to load and initialize FAXDOS.EXE into upper memory. After loading 
    and initialization, only 28K bytes of memory is required in upper memory.
    The initial additional 20K is used only during initialization.

O - FAXSWAP.EXE has been renamed to FAXDOS.EXE.  The /h command line
    option has been renamed to /s.

O - FAXDOS.EXE can not be loaded within a shell utility (e.g. Norton).

O - The FAXSEND.EXE and FSEND.EXE utilities utilize the CASSERVER
    DOS environment variable as defined in the Windows Client section
    above.  If the environment variable is set, the "/s" option of
    the DOS utilities is not required.
    
      set CASSERVER=<server_name>


5.0 FAXmail
-----------

O - Due to a NetWare 4.01 CLIB bug, there is a possibility of an
    abend on a FAXmail server if the FAXmail server is monitoring
    a remote MHS server.  If the connection is broken during the
    FAXmail query of the remote MHS server, the server could abend.
    Use the command "LOAD FAXMAIL CLIBCHECK" if you wish to prohibit
    remote MHS access.

    FAXmail running under NetWare 4.0 will sometimes stop scanning the MHS
    host.

O - Users who want their faxes routed to them via MHS, or want
    notification via MHS, or users sending email faxes via FAXmail, 
    must have their FAXserve administrator configure their MHS 
    email address in their FAXserve User Profile.

O - The administrator must run MHS.EXE to add the user FAXSERVE as an 
    MHS user.  This step is required so that MHS properly creates the 
    FAXSERVE MHS directories and assigns the appropriate rights.

O - FAXmail 2.0 no longer supports the @ATTACH: command.  Instead, 
    FAXmail 2.0 get the mail application's attachments in order to attach 
    files for faxing.

O - Up to 64 attachments can be included within the MHS application 
    attachments.  If more than 64 attachments are included, only the 
    first 64 attachments will be processed by FAXserve.

O - FAXmail requires NetWare CLIB 3.11e or greater in order to
    communicate to remote NetWare 4.x FAXserve servers.  This is due to 
    a CLIB problem in CLIB 3.11d (and older version of CLIB) which know 
    nothing about 4.x servers.  Upgrading to CLIB 3.12 will solve this 
    problem.

O - FAXmail 2.00 will not run on a FAXserve 1.01 server.




